Skip to navigation

Update a temporary EVSE status

Only the fields sent change. Send valid_to null to keep the status until you delete it; status and valid_from cannot be null.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

status_idintegerRequired>=1

The temporary EVSE status’s id.

Request

This endpoint expects an object.
statusenum or nullOptional

Check constraint chk_temporary_evse_statuses_status.

Allowed values:
valid_fromdatetime or nullOptional
valid_todatetime or nullOptional

Response

The object after the update.
idinteger
organization_idstring
charge_point_idstring
evse_idinteger
statusenum or any
valid_fromdatetime
valid_todatetime or nullOptional
ocpp_versionstring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error